# Einleitung [draft]

Smartphones enthalten immer mehr Sensoren, mit denen sie Daten aus ihrer Umwelt erfassen. Erst durch den Zugriff über Software werden diese Sensordaten zu nützlichen Features. So wird Beispielsweise das Display eingeschaltet, sobald man das Smartphone aus der Hosentasche holt oder ausgeschaltet, wenn man es sich ans Ohr hält. Ein großes Augenmerk erhält die Lokalisierung der Geräte. Hierdurch werden Anwendungen wie die Navigation ermöglicht. Bei der Distanzmessung geht es darum, die Strecke, die ein Gerät in Bewegung zurücklegt, zu erfassen. In dieser Arbeit soll untersucht werden, wie die Messung auf kleinen Skalen, im Zentimeterbereich, umgesetzt werden kann.

## Motivation [draft]

Die Open-Source-Andwendung phyphox&reg;\footnote{https://phyphox.org} ermöglicht es mithilfe der im Smartphone verbauten Sensoren Experimente durch zu führen. Der Anwendung fehlt es derzeit an einer Möglichkeit, das Smartphone im Raum zu lokalisieren, was dazu führt das einige Experimente nicht durchführbar sind. Zur Lokalisierung soll Bluetooth eingesetzt werden. Aus der Literaturrecherche geht hervor, das die Abweichung von Bluetooth zur Lokalisierung meist mehrere Meter groß ist. Die Arbeit soll untersuchen ob diese Abweichung auf wenige Zentimeter reduziert werden kann um sie für Experimente nutzbar zu machen. Hierfür sollen sich selbst kalibrierenden Bluetooth-Beacons und die Filterung der Messdaten eingesetzt werden.

## Zielsetzung [draft]

Eine Lokalisierung des Smartphones wird oft zur Navigation eingesetzt. Hierbei kommt es meist nicht auf den letzten Meter bis zum Ziel an. In dieser Arbeit geht es darum, die Genauigkeit der Distanzmessung auf einen eingeschränkten Bereich von rund \SI{2}{\meter} zu verbessern. Dabei sollen verschiedene 


Bisherige Lösungen beschäftigen sich überwiegend mit der Indoornavigation. Hier sind die Umwelteinflüsse und Abstände der Referenzpunkte sehr viel Größer. 


Das Ziel der Arbeit ist es, die Genauigkeit einer Distanzmessung auf einem eingeschränkten Bereich von rund \SI{2}{\meter} zu erhöhen. Das gewählte Setup soll dabei möglichst einfach umsetzbar sein.
Mithilfe einer Beispielimplementierung soll die Genauigkeit dieses Setups untersucht werden. Zur weiteren Verbesserung der Genauigkeit sollen verschiedene Filtermöglichkeiten implementiert werden. Mit einer genauen Distanzmessung lassen sich beispielsweise neue Experimente mit dem Smartphone umsetzen.

---

Im Smartphone befinden sich mehrere Sensoren, die zur Lokalisierung des Geräts eingesetzt werden können. Da sich die Experimente mit phyphox&reg; meist im Innenraum abspielen, wird GPS für diesen Einsatzzweck nicht betrachtet. Mithilfe von WLAN, Bluetooth, NFC, Magnetometer, Gyroskop, Accelerometer, Kamera und Ultraschall bleiben jedoch viele weitere Möglichkeiten zur Lokalisierung bestehen [@maghdid_comprehensive_2021].


Um eine genaue Distanzmessung durchführen zu können muss die Punktuelle Lokalisation eines Gerätes möglich genau sein. 

Die Distanz beschreibt die Länge einer, durch eine dynamische Bewegung zurückgelegten Strecke. Die Entfernung hingegen beschreibt den Abstand zwischen zwei Punkten im Raum. Die Lokalisierung bezeichnet die Position in einem 2D oder 3D Raum.

---

## Aufbau der Arbeit

# Grundlagen

Die Lokalisierung und Distanzmessung ist ein wichtiges Forschungsfeld. Die Anwendungsfälle reichen von der Aufzeichnung der Trainingsstrecke über die Navigation bis hin zur Verfolgung von Objekten. Bei vielen Anwendungsbereichen ist eine Genauigkeit von wenigen Metern ausreichend. Dies ändert sich, wenn man Experimente auf kleineren Maßstäben wie zum Beispiel einem Tisch, durchführen möchte. Hierbei können wenige Zentimeter Abweichung über das Gelingen des Experiments entscheiden.

Im Smartphone befinden sich viele verschiedene Sensoren. Einige davon lassen sich zur Lokalisierung des Geräts einsetzen. Die Open-Source-Anwendung phyphox&reg; bietet die Möglichkeit mit dem Smartphone zu Experimentieren. Hierzu verwendet die Anwendung die im Smartphone verbauten Sensoren. Dabei werden die Rohdaten der Sensoren ausgelesen und aufzeichnen. Durch die Kombination verschiedener Sensoren oder Parametern wie die Zeit, lassen sich verschiedenste Experimente realisieren. Ein Experiment ermöglicht es beispielsweise die Länge eines Pendels zu bestimmen. Hierzu wird das Smartphone an das Pendel gehängt und unter Einsatz des Beschleunigungssensors die Richtungsänderung erkannt und somit die Pendelfrequenz ermittelt. Aus der Pendelfrequenz lässt sich dann die Länge des Pendels errechnen.

Ein weiteres Beispiel ist die Messung der Geschwindigkeit eines Fahrstuhls mithilfe des Luftdrucksensors. Hierbei wird die Höhenänderung ins Verhältnis zur Zeit gesetzt um die Geschwindigkeit zu ermitteln. Mit Kenntnis der Höhe eines Stockwerks lässt sich die gemessene Höhenänderung auch in die Anzahl an zurückgelegten Stockwerken umrechnen. Jedoch fehlt der Anwendung bisher eine Möglichkeit zur Lokalisierung des Smartphones.

In diesem Kapitel werden die technischen Grundlagen erörtert und eine abschließende Bewertung durchgeführt. Dabei werden die Grundlagen zunächst allgemein betrachtet und in weiteren Kapiteln vertieft.

## Distanzmessung

Die Distanzmessung beschreibt im Rahmen dieser Arbeit die Messung der Länge einer zurückgelegten Strecke. Dabei bezeichnet die Strecke den Weg zwischen Start- und Zielpunkt. Die digitale Erfassung einer Strecke basiert auf der Erfassung einzelner Wegpunkte [@Lerch_2006_BOOK, vgl. S. 7-8]. Da zwischen den Wegpunkten keine Informationen vorliegen, wird dieser Zwischenraum als Gerade angenommen. Wie Abbildung \ref{fig:wegpunktcount} verdeutlicht, wird die Streckenabbildung durch die Anzahl an aufgezeichneten Wegpunkten verbessert. Im linken Teil der Abbildung sind nur drei Messpunkte erfasst worden, der ermittelte Weg ergibt nahezu eine Gerade und entspricht nicht dem realen Weg. Im rechten Teil sind 8, gleichmäßig verteilte Messpunkte, der aufgezeichnete Weg entspricht fast dem realen Weg. 

![Auswirkung der Erfassungshäufigkeit von Wegpunkten. \label{fig:wegpunktcount}](../static/Wegpunkte.pdf)

## Lokalisierung

Zur Bestimmung der einzelnen Wegpunkte ist eine Lokalisierung des Messobjektes erforderlich. Hierbei wird die Position des Objekts im Raum bestimmt. Der Raum kann dabei eindimensional oder mehrdimensional sein [@Strang_2008_BOOK]. Die folgenden Kapitel erörtern verschiedene Verfahren zur Lokalisierung, bei denen die Position des oder der Sender bekannt ist und die Position des Empfängers ermittelt werden soll.

### Cell-ID

Zu den einfachsten Methoden der Lokalisierung gehört das \ac{cellid}-Verfahren. Dabei haben alle Sender einen eindeutig zugeordneten \ac{id}. Diese \ac{id} wird vom Sender mit ausgestrahlt. Der Empfangsbereich, in dem ein Sender empfangen werden kann, nennt sich Zelle (engl. Cell). Ein Empfänger, der das Signal empfängt, kann dieses durch die \ac{id} eindeutig einem Sender und dessen Zelle zuordnen [@Strang_2008_BOOK]. Dabei ist die Genauigkeit des Verfahrens im wesentlichen von der Reichweite, also der Größe der jeweiligen Zelle, des Senders abhängig. 

Die Lokalisierung kann verbessert werden, wenn sich mehrere Sendezellen überlappen. Abbildung \ref{fig:cellid} rechts zeigt, das in diesem Fall die Position des Empfängers auf die Schnittmenge der Sendezellen begrenzt wird, die vom Empfänger empfangen werden. Der rötlich eingefärbte Bereich kennzeichnet das Areal in dem sich der Empfänger befinden kann. Die rote Begrenzung ist die Sendereichweite des Senders.

![Positionsbestimmung durch überschneidende Zellen. \label{fig:cellid}](../static/cellid.pdf)

### Fingerprinting

Das Fingerprinting ist ein Ansatz, der sich die Mehrwegausbreitung (mehr dazu unter Abschnitt \ref{fehlerkorrekturen}) von Funksignalen zu Nutze macht. Hierbei wird für jeden Empfangsort ein charakteristisches Muster (Fingerabdruck, engl. Fingerprint) aufgezeichnet [@Strang_2008_BOOK]. Dabei gliedert sich dieses Verfahren in zwei Phasen:

1. Die Offline-Phase: Hierbei werden passende ortsabhängige Parameter bestimmt, durch die eine eindeutige Identifikation eines Ortes möglich ist. Diese Parameter werden für jeden Ort gemessen und in einer Datenbank mit der Ortsinformation verknüpft gespeichert. Die ortsabhängigen Parameter hängen stark von der Umgebung ab. Bei einer Umgebungsänderung müssen diese Parameter aktualisiert werden. 
2. Die Online-Phase: Dabei misst der Empfänger den Fingerprint, also den Parameter zur Identifikation, und gleicht diesen mit der Datenbank ab. Dazu werden Mustererkennungsalgorithmen benötigt, welche aus der Datenbank den wahrscheinlichsten Fingerprint ermitteln und damit den wahrscheinlichsten Ort herausgeben.


### Triangulation

Die Triangulation basiert auf der Ermittlung des Einfallswinkels der eingehenden Signale. Dieses Verfahren wird auch \ac{aoa} genannt. Die Messung des Einfallswinkels ist mit gerichteten Antennenarrays oder Laufzeitmessungen zwischen mehreren Antennen möglich. Für den einfachen Fall einer Messung kann keine Entfernungsinformation gewonnen werden. Erst die Messungen des Einfallswinkels mehrerer Sender führt zu einem linearen Gleichungssystem, dessen Lösung die Position des Empfängers bestimmt [@Strang_2008_BOOK].

![2D Positionierung über \acl{aoa}. \label{fig:aoa}](../static/aoaPositioning.pdf)

### Trilateration

Bei der Lateration handelt es um ein Methode zur Positionsbestimmung bei der die Entfernung zwischen Sender und Empfänger ermittelt wird. Durch die Entfernung zwischen Sender und Empfänger entsteht im zweidimensionalen Bereich ein Kreis um den Sender. Der Empfänger befindet sich dann auf einem Punkt dieser Kreisbahn [@Strang_2008_BOOK]. Um eine eindeutige Position zu ermitteln sind mindestens drei Sender notwendig, weswegen diese Methode auch Trilateration genannt wird. Abbildung \ref{fig:lateration} zeigt das Verfahren: Die Position des Empfängers wurde zur besseren Darstellung nur eingekreist, er befindet sich auf dem Schnittpunkt der im inneren des gestrichelten schwarzen Kreis zu erkennen ist. Der Abstand zwischen Sender und Empfänger $r$ entspricht dem Radius des Kreises um den Sender. Der Empfänger befindet sich auf einem unbestimmten Punkt der Kreislinie. Wird nun ein weiterer Sender hinzugefügt, so definieren die jeweiligen Schnittpunkte der Kreise die mögliche Position des Empfängers. Bei drei Sendern gibt es im optimalen Fall nur einen Schnittpunkt bei dem alle drei Kreislinien aufeinander treffen. 

![2D-Positionierung mit der Trilateration \label{fig:lateration}](../static/lateration.pdf)

Formel \ref{eq:lgsTrilateration} zeigt das allgemeine lineare Gleichungssystem zur Berechnung der Position $p_x$ und $p_y$ bei der Trilateration [@Noertjahyana_2017]. Dabei beschreibt $x_i$ und $y_i$ die Position der Sender $i=1,2,3$ und $r_i$ den gemessenen Abstand zwischen Sender $i$ und Empfänger.

\begin{equation}\label{eq:lgsTrilateration}
\begin{aligned}
  r_1^2= (p_x-x_1)^2 + (p_y-y_1)^2 \\
  r_2^2= (p_x-x_2)^2 + (p_y-y_2)^2 \\
  r_3^2= (p_x-x_3)^2 + (p_y-y_3)^2
\end{aligned}
\end{equation}

Im weiteren werden die Verfahren zur Ermittlung der Entfernung zwischen Sender und Empfänger vorgestellt.

#### Laufzeitmessung {-}

Die Laufzeitmessung, besser bekannt unter dem englischen Begriff \ac{toa}, beruht auf der Messung der absoluten Signallaufzeit $t = t_i - t_0$ von einem Sender zum Empfänger. Dabei beschreibt $t_i$ die Sendezeit und $t_0$ den Empfangszeitpunkt des Signals. Zur Berechnung der Distanz $r$ wird die Lichtgeschwindigkeit $c$ mit der Laufzeit des Signals multipliziert: $r = c \cdot t$. Für diese Messung ist eine sehr genaue und zwischen Sender und Empfänger synchronisierte Zeiterfassung notwendig [@Strang_2008_BOOK]. 

#### Laufzeitdifferenzmessung {-}

Bei der Laufzeitdifferenzmessung, auch bekannt als \ac{tdoa}, wird die Differenz der Signallaufzeit zweier Sender am Empfänger gemessen. Der Vorteil gegenüber dem \ac{toa}-Verfahren liegt darin, dass keine Zeitsynchronizität zwischen dem Sender und Empfänger hergestellt werden muss. Die Laufzeitdifferenzen zwischen den Signalen zweier Sender entspricht damit einer Differenz der Distanz vom Empfänger zu den beiden Sendern [@Strang_2008_BOOK].

#### Signalstärkemessung {-}

Die Messung der Signalstärke, auch bekannt als \ac{rss} ist ein gängiges Verfahren bei der Lokalisierung mithilfe von Funksystemen [@Chen_2019; @Davidson_2017a; @Ye_2019]. Hierbei wird die Empfangsleistung und damit die Dämpfung des Signals am Empfänger gemessen. Die Signaldämpfung hängt dabei unter anderem von der Distanz zwischen Sender und Empfänger ab. Zur Berechnung der Entfernung ist die Kenntnis über den mathematischen Zusammenhang zwischen Entfernung und Signaldämpfung notwendig. Diese Ausbreitungsmodelle sind für viele Szenarien bekannt [@Strang_2008_BOOK].

### Fazit

Im Folgenden sollen die eingangs erwähnten Verfahren zur Lokalisierung hinsichtlich der Fragestellung betrachtet werden. Dabei liegt ein besonderes Augenmerk auf der möglichen Ortsauflösung und dem Aufwand, mit dem das Verfahren umgesetzt werden kann.

Das \ac{cellid}-Verfahren hat eine sehr geringe Ortsauflösung. Auch mit einer hohen Anzahl an Sendern bleibt die ermittelte Position nur ein diffuses Areal anstelle einer punktgenauen Lokalisierung. Der Aufwand der Umsetzung hingegen ist als eher gering einzuschätzen.

Beim Fingerprinting-Verfahren ist die Ortsauflösung unter anderem vom betriebenen Aufwand bei der Einrichtung abhängig. Auch die gewählten Parameter zum Erstellen des Fingerabdrucks und die Beständigkeit der Umgebung haben großen Einfluss auf die Ortsauflösung. Daher muss die Einrichtung bei Veränderungen an der Umgebung erneut durchgeführt werden, was den Aufwand für diese Methode stark erhöht.

Das \acl{aoa}-Verfahren lässt sich nur umsetzen, wenn das Gerät die benötigte Hardware zur Ermittlung des Eintrittswinkel mitbringt. Die Ortsauflösung ist dann jedoch nur von den Messfehlern abhängig und kann somit zunächst als sehr hoch eingestuft werden. Der Aufwand ist jedoch, passende Hardware vorausgesetzt, relativ gering.

Für die Trilateration stehen mehrere Verfahren zur Auswahl. Diese unterscheiden sich hauptsächlich im Aufwand. Die Ortsauflösung ist, wie schon beim \ac{aoa}-Verfahren, abhängig von den Messfehlern der eingesetzten Verfahren. Dabei wird beim \ac{rss}-Verfahren eine etwas geringere Ortsauflösung angenommen, da die Entfernung aufgrund der Signalstärke nicht nur durch Umwelteinflüsse, sondern auch durch das verwendete Modell beeinflusst wird. Der Aufwand für \ac{toa} und \ac{tdoa} wird mit sehr hoch angenommen, da eine genaue Zeitmessung spezielle Hardware voraussetzt. Diese Hardware ist in Smartphones nicht verbaut.

| Verfahren | mögliche Ortsauflösung | Aufwand |
| ------- | ------------- | ------- |
| \ac{cellid} | sehr gering | gering |
| Fingerprinting | stark schwankend | sehr hoch |
| \acl{aoa} | sehr hoch | gering |
| \acl{toa} | sehr hoch | sehr hoch |
| \acl{tdoa} | sehr hoch | sehr hoch |
| \acl{rss} | hoch | gering |
: Übersicht und Bewertung der Verfahren zur Lokalisierung. \label{tab:location}

## Smartphonesensoren

Aktuelle Smartphones besitzen eine Vielzahl von Sensoren, um mit ihrer Umwelt zu interagieren. Viele der Sensoren lassen sich alleine oder in Kombination zur Entfernungsmessung oder Distanzmessung einsetzen [@Subbu_2013; @Chen_2019; @Li_2012; @SosaSesma_2016]. 

Die Entfernung zu einem Referenzpunkt wie einer Wand, lässt sich zum Beispiel durch den Einsatz eines Sonars messen. Für die Umsetzung kommen das Mikrofon und der Lautsprecher des Smartphones in Frage [@Graham_2015]. In dieser Arbeit geht es jedoch um einen flexibleren Einsatzbereich, bei dem eine Lokalisierung zwingend erforderlich ist.

Zu den bekanntesten Sensoren zur Lokalisierung gehört das \ac{gps}. Hierbei wird mit Hilfe von Satelliten die Position des Smartphones ermittelt. Dies ermöglicht die Ortung außerhalb von Gebäuden mit einer Genauigkeit von wenigen Metern [@Bajaj_2002a]. Da die Messungen jedoch nicht auf den Außenbereich beschränkt sein sollen, wird \ac{gps} nicht näher betrachtet.

Die Innenraum-Lokalisierung und Navigation ist ein Forschungsfeld mit großem Interesse. Viele Arbeiten basieren auf dem vom \ac{ieee} festgelegten Standard IEEE 802.11, besser bekannt als \ac{wifi} [@Chen_2019]. Für den Einsatz von \ac{wifi} zur Lokalisierung muss zunächst eine Karte (siehe Kapitel \ref{fingerprinting}) mit der Funkstärkenverteilung erstellt werden [@Davidson_2017a]. Dies bedeutet einen hohen zeitlichen Aufwand bei der Einrichtung und eine geringe Flexibilität im Einsatz.

Ein weiterer Sensor, der zur Lokalisierung in Innenräumen häufig betrachtet wird, ist Bluetooth. Dieser ist weit verbreitet und kostengünstiger als \ac{wifi} [@Ye_2019]. Des Weiteren wurde mit \ac{ble} ein Standard entwickelt, der sehr stromsparend ist. Im weiteren Verlauf der Arbeit soll Bluetooth näher betrachtet werden.


## Bluetooth

Bei Bluetooth handelt es sich um einen Industriestandard, der in den 1990er-Jahren durch die \ac{sig} entwickelt und eingeführt wurde. Die Technologie dient seither zur Datenübertragung zwischen verschiedenen Endgeräten mittels Funktechnik. Die Reichweite hängt maßgeblich von der Umgebung und der Sendeleistung ab und kann zwischen \SIrange{1}{200}{\meter} betragen. Bluetooth arbeitet im lizenzfreiem \ac{ism} von \SIrange{2,402}{2,480}{\giga\Hz}, wodurch es weltweit zulassungsfrei betrieben werden darf. Im Jahr 2020 wurde Bluetooth in 4 Milliarden verkauften Produkten verbaut [@BluetoothSIG_2021]. Darunter befinden sich Smartphones, Computer, medizinische Geräte sowie Unterhaltungsmedien und vieles mehr. Dies und die Tatsache das die \ac{sig} im Jahr 2021 36.645 Mitglieder aufweist [@BluetoothSIG_2021], lässt schlussfolgern, das Bluetooth ein etablierter Standard für den Austausch von Daten ist.

### Bluetooth Low Energy

Mit der Einführung von Bluetooth 4.0 im Juli 2010 wurde \acl{ble} in die Bluetooth Technologie integriert. Dabei ist \ac{ble} zu früheren Bluetooth-Versionen nicht abwärtskompatibel, bietet jedoch einige nützliche Besonderheiten: Ein reduzierter Stromverbrauch und die kurze Aufbauzeit einer Übertragung sind die wesentlichen Vorteile. Geräte wie Smartphones und Tablets unterstützen sowohl das klassische Bluetooth als auch den \acl{ble} Standard. Unterstützt ein Geräte nur den \ac{ble}-Standard, so wird es als Bluetooth Smart-Geräte bezeichnet. 

Nach einer Sichtung des Marktes bei verschiedenen Onlinehändlern hat sich herausgestellt, dass die meisten Geräte den 2014 eingeführten Bluetooth-Standard 4.2 oder neuer unterstützen. Im Bluetooth-Standard 5.2 wurden einige Verbesserungen zur Lokalisierung mittels Bluetooth eingeführt: Unter anderem die Ermittlung des \acl{aoa}, was zu einer höheren Genauigkeit bei Entfernungsmessungen führen könnte. Geräte mit diesem Standard, der im Dezember 2019 eingeführt wurde, sind zum Zeitpunkt der Arbeit jedoch schwer erhältlich. Da die neuen Standards 5.0, 5.1 und 5.2 abwärtskompatibel sind, wird im weiteren Verlauf Bluetooth 4.2 näher betrachtet.

Durch die stromsparenden Eigenschaften von \ac{ble} wird es häufig auch in kleinen Geräten eingesetzt, welche Daten ohne aktive Verbindung via Bluetooth ausstrahlen. Dieses Ausstrahlen von Daten wird Advertising genannt. Ein Gerät, dass nur Advertising-Pakete aussendet, ein sogenannter Advertiser, wird auch als Beacon bezeichnet. Geräte die nach Advertising-Paketen lauschen und keine Verbindung aufbauen wollen, nennen sich Scanner [@BluetoothSIG_2014, Vol. 1 Part A S. 16].

\ac{ble} teilt sich in 40 physikalische Kanäle von je \SI{2}{\mega\Hz} im \SI{2.4}{\giga\Hz} \ac{ism} auf. Davon sind 37 Kanäle für die Datenübertragung vorgesehen sowie 3 Kanäle für das Advertising reserviert [@BluetoothSIG_2014, Vol. 1 Part A S. 16]. In Abbildung \ref{fig:blechannels} sind die \ac{ble}-Kanäle den drei am häufigsten verwendeten \ac{wifi}-Kanälen 1, 6 und 11 [@Kajita_2016] aus dem gleichen Frequenzband gegenübergestellt. Es ist zu erkennen, dass die Advertising-Kanäle (rot gekennzeichnet) außerhalb dieser \ac{wifi}-Kanäle liegen und somit wenige Störeinflüsse durch \ac{wifi} erwartet werden können.

![\ac{ble} Kanäle im \SI{2.4}{\giga\Hz} \ac{ism} und die \ac{wifi} Kanäle 1, 6 sowie 11 als Referenz (nach [@ATL_2021]). \label{fig:blechannels}](../static/ble-advertising-channels.pdf)

Ein Advertising-Paket enthält 31 Bytes, die vom Nutzer frei definiert werden können. Dabei wird es jeweils auf allen drei Advertising-Kanälen versendet. Das Senden benötigt dabei weniger als \SI{10}{\milli\second}. Das Sendeintervall kann zwischen \SI{20}{\milli\second} und \SI{10.24}{\second} eingestellt werden. Tabelle \ref{tab:adpackettype} zeigt die Advertising-Pakettypen; bei Typen die keine Verbindung zulassen ist das minimal mögliche Sendeintervall auf \SI{100}{\milli\second} beschränkt [@BluetoothSIG_2014, Vol. 2 Part E S. 968 und Vol. 3 Part C S. 389].

| Advertising \ac{pdu} |  Maximale adv Datenlänge | Scan Request Erlaubt | Verbindung Erlaubt |
| ---------------- |  ------------- | ----------- | -------- |
| ADV_IND |  31 bytes | ja | ja |
| ADV_DIRECT_IND | 6 bytes | nein | ja |
| ADV_SCAN_IND |  31 bytes | ja | nein |
| ADV_NONCONN_IND |  31 bytes | nein | nein |
: Übersicht über die verschiedenen Pakettypen von Advertising-Paketen. \label{tab:adpackettype}

- Packetaufbau beschreiben!!

### Entfernungsmessung mit der Signalstärke

Die Bluetooth-Spezifikation sieht die Übertragung der Signalstärke, dem sogenannten \ac{rssi}, vor. Dabei handelt es sich um einen absoluten Wert in \ac{dbm} mit einer Abweichung von \num{\pm 6} \ac{db} [@BluetoothSIG_2014, Vol. 2 Part E S. 806]. Wie in Abschnitt \ref{trilateration} Signalstärkemessung beschrieben, ist durch den \ac{rssi}-Wert eine Entfernungsmessung realisierbar.

Zum Einsatz kommt das long-distance path loss-Modell [@Seybold_2005_BOOK]. Dabei handelt es sich um ein Modell zur Vorhersage von Signalverlusten bei der Verbreitung von Funkwellen. In der Android beacon library [@beacon_library_2021] findet sich die Formel \ref{eq:beacondistance} zur Berechnung der Distanz $d$. $txPower$ entspricht dabei der Empfangsstärke auf \SI{1}{\meter} Entfernung und $P_{R_{x}}$ die Empfangene Signalstärke des Beacon. Die $txPower$ wird häufig vom Hersteller angegeben und ist somit ein bekannter, fester Wert. Die Konstanten $A$, $B$ und $C$ sind statistisch ermittelte Werte die für jede Hardwarekombination unterschiedlich sind. Die Android beacon library nutzt als Standardwert die Daten vom Smartphone Nexus 4, $A = 0,89976$, $B = 7,7095$ und $C = 0,111$.

\begin{equation}\label{eq:beacondistance}
\begin{aligned}
d = A \cdot \left( \cfrac{P_{R_{x}}}{txPower} \right)^{B} + C
\end{aligned}
\end{equation}

Da die Signalstärke Schwankungen unterliegt, mehr dazu in Abschnitt \ref{messung-fehler-quellen-und-korrekturen}, führt die Messung der Entfernung mit einem festen Wert für $txPower$ zu größeren Abweichungen. Dies kann nach [@Cho_2015a] durch den Einsatz eines Kalibrierungs-Beacon im Abstand von \SI{1}{\meter} zum zu messenden Beacon optimiert werden. Dabei misst der Kalibrierungs-Beacon die aktuelle Signalstärke und übermittelt diese an den Scanner. Bei der Berechnung der Entfernung wird nun die $txPower$ durch den aktuell gemessenen \ac{rssi}-Wert auf \SI{1}{\meter}, $scPower$ ersetzt.

\begin{equation}\label{eq:beacondistance}
\begin{aligned}
d = A \cdot \left( \cfrac{P_{R_{x}}}{sxPower} \right)^{B} + C
\end{aligned}
\end{equation}

## Messung, Fehler-Quellen und Korrekturen [draft]

In der Regel ist jede Messung fehlerbehaftet, auch wenn sie präzise durchgeführt wird. Zum Beispiel kann es schon beim Ablesen von Messdaten zu Fehlern kommen, aber auch das Einbringen eines Messgeräts kann die zu messenden Werte in einem System verändern. Aus diesem Grund ist die Beurteilung und Klassifikation von Messfehlern ein wichtiger Teil bei der Betrachtung einer Messkette. [@Lerch_2006_BOOK, S. 89].  In den folgenden Abschnitten werden die notwendigen Begriffe zur Beurteilung von Fehlern eingeführt und weiter die Fehlerkorrekturmöglichkeiten betrachtet. 

### Arten von Messfehler

Messfehler werden in systemische und zufällige Fehler unterschieden: 

**Systemische Fehler** sind vorhersagbar und somit auch korrigierbar. Sie unterteilen sich in statische Messfehler und dynamische Messfehler. Statische Messfehler haben einen konstanten Betrag und ein bestimmtes Vorzeichen, dynamische Messfehler hingegen resultieren in einer zeitliche Veränderung des Messwertes einer Messreihe. Da systemische Fehler prinzipiell korrigierbar sind, sollten sie nach Möglichkeit im ersten Schritt der Messwertverarbeitung berichtigt werden [@Lerch_2006_BOOK, S. 90].

**Zufällige Messfehler** lassen sich hingegen nicht unmittelbar erfassen. Die Abweichungen vom wahren Wert kann nur in Form von Wahrscheinlichkeitsaussagen beschrieben werden. Um diesen Fehlertyp zu beurteilen, müssen möglichst viele Messungen durchgeführt werden. Dabei ergibt sich eine Normalverteilung nach Gauß. Das Normalverteilungsgesetz für zufällige Fehler ist dabei wie folgt charakterisiert: positive und negative Abweichungen treten gleich häufig auf, die Wahrscheinlichkeit des Auftretens einer Abweichung nimmt mit zunehmender Größe der Abweichung ab [@Lerch_2006_BOOK, S. 91].

Nachfolgend sollen Beispiele für die beiden Fehlerarten genannt und beschrieben werden. Tabelle \ref{tab:error} gibt eine Übersicht über die verschiedenen Fehler.

#### Beispiele systemische Fehler {-}

- **Hindernisse**: Wände, Möbel, Pflanzen, Menschen und andere Objekte beeinflussen die Ausbreitung von Funkwellen. Der Einfluss äußert sich in Reflektionen oder Abschwächung des Signals. Bei Reflektionen kann es zum mehrfachen Empfang ein und des selben Signals kommen. Dabei hat das Reflektierte Signal meist einen weiteren Weg hinter sich und ist daher schwächer. Die zusätzliche Abschwächung des Signals durch Objekte zwischen Sender und Empfänger, führt zu einem schwächeren Signal am Empfänger und beeinflusst so die Entfernungsmessung mithilfe der Signalstärke.
- **Reflektionen**: Alle Objekte, speziell Metallische, können Funkwellen Reflektieren. Diese Reflektionen führen zur Mehrfachmessung eines Signals.
- **Smartphone-Gehäuse**: Wie die Hindernisse wirkt sich auch das Smartphone-Gehäuse sowie die verbauten Sensoren im Smartphone auf die Signalstärke aus. Auch eine Smartphone-Hülle die vom Nutzer angebracht wird, beeinflusst die Signalstärke. Da die meisten Hüllen aus Plastik bestehen, ist dieser Effekt jedoch als gering an zu sehen.
- **Antennenanordnung**: Auch die Orientierung und Position der Antenne beeinflusst die Qualität des empfangen Signals. Liegt die Antenne beispielsweise auf der linken Seite des Smartphones, so werden Signale die von rechts kommen stärker gedämpft.
- **RSSI Sensor**: Die Signalmessung wird durch den Bluetooth Chip durchgeführt. Er nutzt einen 8-bit analog zu digital Wandler um einen Wert zwischen 0 und 255 zu erhalten. Das stärkste Signal wird durch den Wert 255 abgebildet. Bei der Umrechnung dieses Wertes in \ac{dbm} muss für gute Ergebnisse ein angepasster Code verwendet werden. Ob und wie gut diese Anpassung geschieht, hängt allein bei den Herstellern.
- **Versuchsaufbau**: Auch der Aufbau des Versuchs kann zu Fehlern im System führen. Dieser systemische Fehler kann meist nur durch die Wiederholung der Versuche korrigiert werden.

#### Beispiele zufälliger Fehler {-}

- **Funkrauschen**: \ac{ble} verwendet den selben Frequenzbereich wie \ac{wifi} und viele weitere Funktechnologien für den Konsumerbereich. Auch andere Signale von unterschiedlichen Frequenzbereichen strahlen teilweise in diesen Frequenzbereich ein [ QUELLE ]. Dabei kann diese starke Auslastung dazu führen das Pakete nicht Empfangen werden oder die Empfangsstärke beeinflusst wird.
- **Bluetooth Channel Rotation**: \ac{ble} nutzt drei verschiedene Kanäle, mit unterschiedlichen Frequenzen, für das Advertising. Die Antennen sind jedoch auf eine bestimmte Frequenz optimiert. Daher kommt es zu Abweichungen beim RSSI je nach verwendeten Advertising Kanal [@Paterna_2017]. Dies ist prinzipiell ein systemischer Fehler der Korrigierbar wäre. Unter Android gibt es derzeit jedoch keine Möglichkeit den Kanal aus zu lesen, weswegen der Fehler damit zufällig auftritt.

| Fehler     | Auslöser        | Fehler Art | 
| ---------- | -------------------- | --------- | 
| Hindernisse | physikalisch  | systemisch |
| Reflektionen | physikalisch | systemisch |
| Smartphone-Gehäuse | physikalisch | systemisch |
| Antennenanordnung | physikalisch, maschinell | systemisch |
| RSSI Sensor | Implementierung | systemisch |
| Versuchsaufbau | human | systemisch | 
| Funkrauschen | physikalisch | zufällig |
| Bluetooth Channel Rotation | Implementierung | systemisch/zufällig |
: Übersicht der Fehler, Fehlerarten und Auslöser \label{tab:error}

### Genauigkeit einer Messung

Die Genauigkeit einer Messung wird durch die Richtigkeit und die Präzision beschrieben. Dabei hat ein Messwert eine hohe Genauigkeit, wenn sowohl eine hohe Richtigkeit, als auch eine hohe Präzision vorliegt.

Die Richtigkeit lässt eine Aussage über die Nähe von Einzelmesswerte zum tatsächlichen Messwert zu. Bei einer guten Richtigkeit stimmen die gemessenen Werte im Mittel mit dem tatsächlichen Messwert nahezu überein. In Formel \ref{eq:richtigkeit} wird die Richtigkeit Mathematisch beschrieben. Sie wird dabei durch den Betrag der Differenz aus dem Mittelwert $\overline{x}$ und dem Referenzwert $x_{Ref}$ ermittelt. 

\begin{equation}\label{eq:richtigkeit}
\text{Richtigkeit}=|\overline{x}-x_{Ref}|
\end{equation}

Die Präzision beschreibt die Streuung der Messwerte um den Mittelwert. Je näher die Messwerte beieinander liegen, desto höher die Präzision. Die Streuung wird dabei durch zufällige Fehler ausgelöst und kann durch die relative Standardabweichung ausgedrückt werden.

Die Abhängigkeit von Präzision und Richtigkeit wird in Abbildung \ref{fig:genauigkeit} verdeutlicht. Dabei liegt der tatsächliche Wert jeweils im Zentrum der Kreise. Nur das Szenario rechts oben in der Abbildung hat eine hohe Genauigkeit, da es sowohl eine hohe Präzision, als auch eine hohe Richtigkeit aufweist. Alle anderen Szenarien haben eine geringe Genauigkeit, können jedoch eine hohe Präzision oder eine hohe Richtigkeit oder keins von beidem (unten links) aufweisen.

![Zusammenhang zwischen Richtigkeit und Präzision \label{fig:genauigkeit}](../static/genauigkeit.pdf)

### Fehlerbewertung

- 1D und 2D Raum
- Formeln
- Wozu macht man das?
- Welchen Wert hat die Fehlerbewertung idr?

### Filter

Die unverarbeiteten Messwerte werden als Rohdaten bezeichnet. Aufgrund der zuvor erwähnten Messfehler, sind diese Messwerte in den meisten Fällen nicht zur Anzeige geeignet. Zunächst müssen die Messwerte vor verarbeitet werden. Hierzu werden zuerst die systemischen Fehler korrigiert. Zur Minimierung der zufälligen Fehler kommen im nächsten Schritt ein oder mehrere Filter zum Einsatz. 

#### Gaußfilter

#### Gewichteter Filter

#### Kallman-Filter

### Kalibrierung



- Filterverfahren in Tabelle, Erklärung was Filter machen.
Nicht alle müssen angewandt werden.

### Fazit

- Fehlerkorrektur durch einen Laborähnlichen Aufbau.
- Züfällige Fehler durch Filter XY

## Bewertung

Der Anwendung fehlt jedoch, ein Möglichkeit zur Lokalisierung des Smartphones. Dabei ist die Messung auf kleinen Skalen, im Zentimeterbereich wichtig um ein möglichst breites Spektrum an Experimenten zu ermöglichen. Beispiele hierfür sind: 

**Darstellung des Abstandsgesetz:** Das Abstandsgesetz beschreibt den Abfall der Energie von allem was sich Kugelförmig ausbreitet, als Beispiel sei hier der Schall oder das Licht genannt. Die Oberfläche einer Kugel wächst mit zunehmenden Abstand, dem Radius $r$, zum Quadrat. Die Energie nimmt somit im Quadrat zum Abstand der Quelle ab [@Harten_2012_BOOK, S. 123]. Dieses Gesetz lässt sich mit dem Smartphone in einem Experiment veranschaulichen. Hierbei kann man den Schalldruck mit dem Mikrophone oder die Lichtintensität mit dem Helligkeitssensor messen und zusammen mit der Entfernungsänderung aufzeichnen.

**Darstellung von Schallinterferenzen:** 



Diese Arbeit soll untersuchen wie eine solche Lokalisierung umgesetzt werden kann.


# Implementierung

In den folgenden Abschnitten wird die verwendete Hardware sowie die Umsetzung beschrieben. Zum Einsatz kommen die Programmiersprachen Java\-Script, Python und Kotlin. Dieser Mix erklärt sich aus der gewählten Hardware und dem Vorgehen.

## Beacon

Als Bluetooth-Beacon kommen Puck.js\footnote{https://www.puck-js.com/}, Abbildung \ref{fig:puck}, von der Firma Espruino\footnote{http://www.espruino.com/} zum Einsatz. Diese bieten, auf ihrer offenen Plattform, neben Bluetooth noch weitere Sensoren wie: ein Magnetometer zur Messung von Magnetfeldern, ein Accelerometer zur Messung von Beschleunigungen, ein Gyroscope zur Messung der Winkelgeschwindigkeit, einen Temperatursensor und vieles mehr. Durch diese Sensoren kann der Beacon auch für weitere Anwendungen eingesetzt werden, was jedoch nicht Bestandteil dieser Arbeit sein soll.

![Puck.js inklusive Gehäuse. \label{fig:puck}](../static/puckjs.jpeg)

Durch eine Programmierschnittstelle lässt sich der Beacon mit Hilfe von JavaScript programmieren. Beim Einstieg hilft eine Datenbank mit Beispielprogrammen sowie ein ausführlich dokumentiertes \ac{api} [@Ltd_2017]. Zur Programmierung wird der Beacon mittels Bluetooth mit einer \ac{ide} im Browser verbunden. Abbildung \ref{fig:ide} zeigt die \ac{ide}: links befindet sich die Konsole über die einzelne Befehle direkt auf dem Beacon ausgeführt werden können, rechts ist der Editor zu sehen, in diesem können die Befehle zu Programmen zusammengeführt werden. Der Programmcode kann sowohl temporär zum Testen auf den Beacon geladen werden, als auch nach dem Test im Flash des Beacon gespeichert werden. Bei der temporären Ausführung ist der Code nach einem Batteriewechsel nicht mehr auf dem Beacon. Diese Art der Entwicklung macht das Experimentieren mit den Bluetooth-Beacon sehr einfach.

![Screenshot der Espruino \ac{ide} im Chrome-Browser. \label{fig:ide}](../static/espruino_ide.png)

### Modi

Während der Versuche mit den Beacon wird ein hohes Advertising-Intervall benötigt, welches für eine kürzere Batterielebensdauer sorgt. Um die Batterie nicht zu stark zu belasten, wurden zwei Modi entwickelt. Durch den integrierten Button, kann zwischen dem Versuchsmodus und dem Programmiermodus gewechselt werden. Zur Visualisierung in welchem Modus sich der Beacon befindet wird die eingebaute grüne und rote LED verwendet. Beim Wechsel vom Programmiermodus in den Versuchsmodus leuchtet die grüne LED auf und blinkt dann alle \SI{10}{\second}. Wird der Beacon erneut gedrückt, so zeigt die rote LED das Beenden des Versuchsmodus an und der Beacon wechselt in den Programmiermodus zurück.

### Identifizierung

Jeder Beacon verfügt über eine einzigartige Hardware-Adresse, \ac{mac}-Adresse genannt. Zur einfachen Identifizierung werden die letzten zwei Byte der \ac{mac}-Adresse in Kleinbuchstaben als Kurzname der Beacon verwendet. Für das Advertising wird vor den Kurznamen ein ``BLE`` für \acl{ble} gesetzt. Tabelle \ref{tab:devices} listet die \ac{mac}-Adresse sowie den dazugehörigen Advertising-Namen und Kurznamen der Beacon auf. Im Versuchsmodus wird der Advertising-Name nicht mit ausgesendet, mehr dazu im Kapitel \ref{advertising}.

| \ac{mac}-Adresse | Advertising Name | Kurzname |
| ---------------- | --------- | -------- |
| C6:13:E8:3F:69:0F | BLE 690f | 690f |
| CD:10:9A:4C:9D:31 | BLE 9d31 | 9d31 |
| D6:7C:70:1C:5B:5B | BLE 5b5b | 5b5b |
: Übersicht der \ac{mac}-Adressen und zugehörigen Namen der verwendeten Beacon. \label{tab:devices}

Weiterhin wird für das Advertising ein universeller Identifikator benötigt. Diese erlaubt es die Advertising-Pakete eindeutig zuzuordnen. Espruino bietet hierzu eine reservierte 16 Bit \ac{uuid} ``0x0590`` für die Entwicklung von Anwendung mit ihrer Hardware. Diese \ac{uuid} wird zur Filterung der Advertising-Pakete im Scanner verwendet.

### Advertising

Für das Advertising stehen 31 Byte für benutzerdefinierte Daten zur Verfügung. Davon werden 5 Byte im Versuchsmodus benötigt. Das Advertising-Paket im Versuchsmodus setzt sich aus der 16 Bit langen \ac{uuid} ``0x0590`` und 3 Byte zur Übertragung der $scPower$ zusammen. Die $scPower$ wird in einer festen Reihenfolge abgespeichert und übertragen. Für einen produktiven Einsatz sollten diese Werte gekennzeichnet werden. Hierfür sind weitere 26 Byte in dem Advertising-Paket frei.

Für den Versuchsmodus wird der Beacon in den Advertising-\ac{pdu} ``ADV_NONCONN_IND``, beschrieben in Kapitel \ref{bluetooth-low-energy}, gesetzt. Hierbei lässt der Beacon keine Verbindung zu und reagiert nicht auf Anfragen, sondern sendet nur Advertising-Pakete aus. Das maximales Advertising-Intervall ist in diesem Modus zwar auf \SI{100}{\milli\second} beschränkt, dies ist jedoch für den gewählten Versuchsaufbau ausreichend. Zur Erfassung der Position bewegter Objekte sollte eine aktive Verbindung genutzt werden, da hier das Advertising-Intervall auf \SI{20}{\milli\second} verkürzt werden kann. Der Advertising-Name des Beacons wird im Versuchsmodus nicht ausgesendet.

Im Programmiermodus befindet sich der Beacon im Advertising-\ac{pdu} ``ADV_IND``. Dieser ist notwendig damit eine Verbindung mit dem Beacon zur erneuten Programmierung hergestellt werden kann. Auch der Advertising-Name des Beacons wird in diesem Modus wieder mit ausgesendet.

### scPower

Zur Umsetzung eines selbst korrigierenden Systems müssen die Bluetooth-Beacon sowohl als Scanner wie auch als Advertiser fungieren. Im Versuchsmodus scannen die Beacon hierzu, parallel zum Aussenden der Advertising-Pakete, nach solche Paketen von den anderen beiden Beacon. Abbildung \ref{fig:selfkorrekting} zeigt den Ablauf des selbst korrigierenden Systems bei dem Beacon 5b5b ein Advertising-Paket aussendet, welches von den Beacon 690f und 9d31 empfangen und verarbeitet wird. Die Beacon 690f und 9d31 speichern den \ac{rssi}-Wert des Empfangenen Pakets von Beacon 5b5b als $scPower$ in ihrem Advertising-Paket und senden dieses aus. Bei jedem erneuten empfang eines Advertising-Pakets von Beacon 5b5b wird die $scPower$ aktualisiert. 

## Smartphone

Als Smartphone für die Messungen kommt ein OnePlus 7t mit Android-Betriebssystem in der Version 11 zum Einsatz. Für die Anwendungsentwicklung wird die \ac{ide} Android Studio verwendet. Als Programmiersprache wurde Kotlin gewählt und die Smartphone-Anwendung als Bluetooth-Scanner umgesetzt. Über die Benutzeroberfläche, zu sehen in Abbildung \ref{fig:appfrontend}, müssen 4 Eingabefelder vor dem Versuchsstart durch den Anwender ausgefüllt werden. Der Testname dient dazu, die Testdaten bei der Auswertung zu identifizieren, er dient auch als Dateiname für die gespeicherten Daten. In den weiteren drei Feldern wird die, für den durchgeführten Versuch, real gemessene Entfernung zwischen Smartphone und dem jeweiligen Beacon notiert. Sollten ein oder mehrere Beacon im durchgeführten Versuch keine Relevanz haben, so muss hier eine 0 eingetragen werden. Über den Start/Stop-Button am unteren Bildschirmrand der Anwendung wird die Aufzeichnung gestartet. Nach dem Start können die empfangenen Daten im oberen Bildschirmbereich zur Funktionsüberprüfung eingesehen werden. Diese Daten aktualisieren sich automatisch mit jedem empfangenen Advertising-Paket.

![Screenshot der Smartphone-Testanwendung: Bluetooth Advertise Logger. \label{fig:appfrontend}](../static/appfrontend.jpg){ height=600px }

Beim Empfang eines Advertising-Pakets wird geprüft, ob das Paket von einem der Beacon versendet wurde. Hierzu wird zunächst nach der \ac{uuid} gefiltert und anschließend nach den \ac{mac}-Adressen der drei Beacon. Ist das Paket von einem der Beacon, so werden die Daten des Advertising-Pakets in einer Textdatei, mit dem Testnamen als Dateinamen, auf dem Smartphone abgelegt. Die Daten werden im \ac{csv}-Format gespeichert, dabei sind die einzelnen Spalten mit Hilfe eines Kommas voneinander getrennt. In Tabelle \ref{tab:datastore} werden die Spalten aufgelistet und ihr Inhalt  kurz erläutert. 

| Spalte | Beschreibung |
| --------- | ----------------------- |
| Time | Empfangszeitpunkt als Unix-Zeitstempel |
| Test | Benutzerdefinierter Name des durchgeführten Tests |
| Device | \ac{mac}-Adresse des Beacon |
| RSSI | Vom Smartphone ermittelter \ac{rssi}-Wert |
| 5b5b_dist | Benutzerdefinierte, gemessene Distanz des Beacons 5b5b |
| 5b5b_rssi | Ermittelte $scPower$ des Beacons 5b5b |
| 690f_dist | Benutzerdefinierte, gemessene Distanz des Beacons 690f |
| 690f_rssi | Ermittelte $scPower$ des Beacons 690f |
| 9d31_dist | Benutzerdefinierte, gemessene Distanz des Beacons 9d31 |
| 9d31_rssi | Ermittelte $scPower$ des Beacons 9d31 |
: Spaltenübersicht der gespeicherten \ac{csv}-Datei bei aktiver Messung. \label{tab:datastore}


## Auswertung

Die Auswertung der Testmessungen wird auf dem Computer und nicht auf dem Smartphone durchgeführt. Dies erlaubt es auch im Nachhinein, mit ein und der selben Messung unterschiedlichste Modelle zu betrachten. Außerdem müssen Messungen nicht wegen eventueller Programmierfehler wiederholt werden.

Als Programmiersprache kommt Python zum Einsatz. Python bietet eine Vielzahl an Bibliotheken zur Arbeit mit großen Datenmengen und zur wissenschaftlichen Auswertung. Tabelle \ref{tab:libraries} zeigt eine Auflistung der eingesetzten Bibliotheken und eine kurze Beschreibung. 

| Library | Bedeutung |
| -------- | ---------- |
| | |
: Verwendete Python libraries zur Auswertung der Messdaten. \label{tab:libraries}

# Versuchsaufbau

Dieses Kapitel beschreibt den Versuchsaufbau. Er orientiert sich an den zuvor behandelten Anforderungen. Dabei liegt der Fokus auf einem Aufbau der leicht nachzubildenden ist und dabei ein hohes maß an Genauigkeit ermöglicht.

## Anordnung der Beacon

Die Bluetooth-Beacon werden in einem gleichseitigen Dreieck mit einer Seitenlänge von \SI{1}{\meter} auf einer ebenen Fläche angeordnet (Abbildung \ref{fig:versuchsaufbau}). Hierdurch empfängt jeder Beacon von seinen Nachbarn den RSSI Wert auf \SI{1}{\meter} Entfernung und kann diesen zur Kalibrierung an das Smartphone übermitteln. Dieser Versuchsaufbau ermöglicht es, das System um weitere Beacon zu erweitern. Auch ließe sich hierdurch eine Dreieckspyramide mit 6 gleichlangen Kanten aufbauen, wodurch die Messung auf die 3. Dimension erweitert werden kann.

## Messpunkte

Der Versuchsaufbau wird, wie in Abbildung \ref{fig:zones} dargestellt, in drei Zonen eingeteilt. Die ersten beiden Zonen ergeben sich aus der Geometrie des Versuchsaufbaus. Zone 1 hat einen Radius von \SI{0.289}{\meter} und wird durch das gleichseitige Dreieck begrenzt. In dieser Zone ist kein Beacon weiter als \SI{0.866}{\meter} vom Smartphone entfernt. Zone 2 misst einen Radius von \SI{0.577}{\meter} und schließt das Dreieck ein. Die maximale Distanz zu einem Beacon beträgt \SI{1.154}{\meter}. Bei Zone 3 liegt der am weitesten entfernte Punkt \SI{1.5}{\meter} von einem Beacon entfernt. Dieser wurde gewählt, da der Messfehler bis \SI{1.5}{\meter} laut dem Artikel [@Cho_2015a] unter \SI{10}{\percent} liegt. Es ergibt sich dabei ein Radius von \SI{0,75}{\meter} um das Zentrum.

![Aufteilung des Versuchsaufbaus in Zonen und Messpunkte. \label{fig:zones}](../static/Zonen_und_Messpunkte.pdf)

In Tabelle \ref{tab:messpunkte} sind die einzelnen Messpunkte und Abstände zu den Beacon aufgezeigt. Messpunkt A befindet sich im Zentrum der Kreisrunden Zonen. Messpunkt C und D jeweils am Rand von Zone 2 und Zone 3. Um möglichst viele Messpunkte zu erhalten ist der Messpunkt C nicht mittig zwischen zwei Beacon. Eine Besondere Rolle spiel Messpunkt B. Dieser befindet sich auf einer Seite des Dreiecks und liegt somit genau zwischen zwei Beacon. Er wurde gewählt, um den Einfluss des Smartphones auf die Funkstrecke der Beacon zu untersuchen.

\begin{longtable}{llll}
\caption{Messpunkte und deren Abstände zu den Beacon
\label{tab:messpunkte}}\tabularnewline
\toprule
          & \multicolumn{3}{l}{Entfernung in cm} \\
          Messpunkt & 5b5b        & 690f       & 9d31      \\
\midrule
\endfirsthead
%
\endhead
%
A         & 57,7        & 57,7       & 57,7      \\
B         & 86.5        & 50         & 50        \\
C         & 115,4       & 40         & 70,5      \\
D         & 67          & 75         & 68        \\
E         & 90          & 213,4      & 94       
\end{longtable}

Um eine Konstante Messung zu gewährleisten werden die Beacon mittig auf den Referenzpunkt in gleicher Orientierung positioniert. Das Smartphone wird so auf den Messpunkten platziert, das der Messpunkt in der Mitte des Geräts ligt.

Da die Anordnung der Antennen gerade im Smartphone nicht bekannt sind, wird die Entfernung zwischen den Beacon und dem Smartphone immer von der Mitte der Geräte gemessen.

# Versuchsauswertung



# Ergebnisse

- Fehlerhafte Zeitlicher Verlauf beim Empfang der Daten
- Connections wären sinnvoll

# Zusammenfassung und Ausblick

## Zusammenfassung und Fazit

## Ausblick